---
title: "polar"
excerpt: "Convert polar/sphere (azimuth, elevation, distance) coordinates to"
layout: manual
---

Convert polar/sphere (azimuth, elevation, distance) coordinates to

cartesian (x/y/z grid) coordinates.

```js
polar(data: PolarCoordsData) -> [number]
```

### Examples

```js
const exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(polar({ angle: 30, length: 5 }), %, $thing)
  |> line([0, 5], %)
  |> line([segEndX(thing), 0], %)
  |> line([-20, 10], %)
  |> close(%)

const example = extrude(5, exampleSketch)
```

![Rendered example of polar 0](data:image/png;base64,[encoded data, 77976 characters])

### Arguments

* `data`: `PolarCoordsData` - Data for polar coordinates. (REQUIRED)
```js
{
	// The angle of the line (in degrees).
	angle: number,
	// The length of the line.
	length: number,
}
```

### Returns

`[number]`



